Bug 839303

Summary: [ta_IN] Submission of glyphs for Tamil fractions/symbols to be included in the Lohit Tamil fonts
Product: [Fedora] Fedora Reporter: Shriramana Sharma <samjnaa>
Component: lohit-tamil-fontsAssignee: Pravin Satpute <psatpute>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: fonts-bugs, i18n-bugs, lohit-devel-list, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Lohit Tamil, Lohit Tamil Classical and Lohit Tamil Chart fonts with new characters none

Description Shriramana Sharma 2012-07-11 09:52:32 EDT
Created attachment 597580 [details]
Lohit Tamil, Lohit Tamil Classical and Lohit Tamil Chart fonts with new characters

Contributing new Tamil glyphs to Lohit Tamil family:
----------------------------------------------------

I have prepared a proposal to encode 62 characters for old Tamil fractions and symbols to be encoded in Unicode. Seven of these are being proposed for the Tamil BMP block and rest for a new Tamil Supplement block in the SMP.

For the glyphs required for the code chart I have largely devised new glyphs based on existing Lohit Tamil glyphs under the derivative rights granted by the OFL. Some glyphs which could not be derived, I created myself using Inkscape and other tools. 

I would like to donate all these glyphs to the Lohit project under the OFL for eventual inclusion into the Lohit Tamil/Tamil Classical fonts. For now they may be included in the PUA of an unofficial fork of the Lohit Tamil fonts. When they are eventually encoded in Unicode, they may be officially mapped to the new codepoints and included in the official distribution of the Lohit Tamil/Tamil Classical fonts.

Using Lohit Tamil glyphs for Unicode code chart:
------------------------------------------------

In the proposal, I am also requesting the Unicode / ISO 10646 project editors to use the Lohit Tamil font for the Unicode Tamil code charts (Tamil block, and newly proposed Tamil Supplement block) because:

1) When the new characters are encoded and my glyphs used for the code chart, it would look good to maintain stylistic uniformity in the code chart, and my designed glyphs are stylistically like the Lohit Tamil glyphs as they are mostly derived from them. So it would be good to use Lohit Tamil glyphs throughout.

2) There are currently 72 Tamil characters in Unicode 6.1.0. The present proposal almost doubles the number with 62 new characters. It would be a significant and unnecessary effort for anyone else to duplicate my glyph design work for so many characters to keep in with the current Tamil code chart font style. So switching to Lohit Tamil for all glyphs is easier and advisable.

3) Personally I think the glyphs of Lohit Tamil are much "cleaner" than the existing Tamil code chart font, and more representative of the nature and beauty of the Tamil script.

4) The OFL already permits the use of the Lohit Tamil font (and its derivatives) for any purpose, so there are (hopefully) no legal issues pertaining which need to be cleared between Unicode and Red Hat (but of course, IANAL).

I also sincerely request the cooperation of the Lohit / Fedora / Red Hat people in permitting the Lohit Tamil glyphs to be used for the Unicode Tamil code charts (i.e. for two blocks).

Fonts with new glyphs:
----------------------

I attach herewith a ZIP file containing three font files:

1) Lohit Tamil font, with newly proposed character glyphs mapped to the PUA.

2) Lohit Tamil Classical font, likewise.

3) Lohit Tamil Chart font, containing only glyphs required for the code chart (for existing and new characters, totalling 134 in number, across two blocks Tamil and Tamil Supplement) mapped to the existing and proposed characters for convenience of Unicode / ISO 10646 editors.

Behaviour of new characters and requirement from the fonts' side:
-----------------------------------------------------------------

None of the newly proposed characters are combining characters in the sense of combining marks. However, most of them are proposed for a new SMP Tamil block and care might need to be taken for proper mapping so that on all platforms the SMP characters are accessible. 

There is only one sequence of characters which needs to ligate: TAMIL DIGIT ONE ௧ + TAMIL SIGN KALAM (which looks like TAMIL LETTER LLA ள) should always ligate. I have also provided the ligature glyph after the glyphs for the individual characters (mapped to PUA E03F) in the fonts 1 and 2 above. I have not added any substitution mapping however as it is for now only temporarily in the PUA.

Etcetera:
---------

It is my intention to submit the proposal within a week or so and I will upload/link here a copy of the proposal.

If at all any changes are required to the set of glyphs as a result of any feedback from scholars or other sources, I will upload fresh TTF font files.

I thank everyone, especially Pravin Satpute, for their support regarding this.
Comment 1 Pravin Satpute 2012-07-16 07:11:12 EDT
I will be glad if Unicode can use Lohit Tamil fonts for there charting. In this way Unicode can set a one new standard for Using complete font i.e. font with Open Type tables. (AFAIK Unicode fonts contains just Basic Unicode shapes)

Lohit is under OFL so i don't see any problem.

Once the proposal get accepted i will include these shapes in upstream of Lohit git. For now these attached fonts are uploaded at http://pravins.fedorapeople.org/tamil-fraction-symbol-proposal-fonts/
Comment 2 Shriramana Sharma 2012-07-16 13:26:46 EDT
Hello, thanks for replying.

About the font for the chart -- really it need not contain any OpenType or any other smart rendering tables. (Open the Lohit Tamil Chart TTF and see.) All they are concerned about is that the representative glyphs for each character should be appropriate.

Anyhow, many thanks for your support and the temporary hosting under fedorapeople.org. I will keep you updated and send you a copy of the proposal (to upload to same location) when I submit it.
Comment 3 Shriramana Sharma 2012-07-20 08:37:45 EDT
I have submitted the proposal and Pravin has kindly uploaded a copy at http://pravins.fedorapeople.org/tamil-fraction-symbol-proposal-fonts/tamil-fractions-symbols-proposal.pdf
Comment 4 Fedora End Of Life 2013-04-03 13:09:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Shriramana Sharma 2013-07-09 07:11:32 EDT
Just an update on this issue to note that as per the recommendation of the UTC from the 2013 Feb meeting, the proposal has been revised with the current number of proposed characters being 55. This proposal was approved at the 2013 May UTC meeting and forwarded to the WG2: http://std.dkuug.dk/jtc1/sc2/wg2/docs/n4430.pdf. The WG2 meeting in Lithunia last month has discussed this document and IIUC has approved adding these characters to a future amendment (version) of the Unicode/ISO 10646 standards.
Comment 6 Pravin Satpute 2013-07-09 08:51:27 EDT
That's nice new Shriramana. Thanks for an update.
Comment 7 Pravin Satpute 2014-09-16 01:34:00 EDT
We are working on Development of Lohit Tamil under lohit2 project. I just gone through Unicode 7.0 but not found any new characters. Do update me if anything i am missing.
Comment 8 Shriramana Sharma 2014-09-16 05:57:13 EDT
Dear Pravin, there are no new Tamil characters in Unicode 7.0. The proposed characters are still in the Unicode pipeline: http://www.unicode.org/alloc/Pipeline.html see for example TAMIL TRADITIONAL CREDIT SIGN and form part of ISO 10646 4th edn Proposed Draft Amendment 2: http://www.unicode.org/L2/L2014/14142-10646-4th-pdam2.pdf.

As you can see, Lohit Tamil is already used for Unicode Tamil chart from Unicode 7.0 onwards and the PDAM charts use my new glyphs based on Lohit Tamil. Will update when the characters are published.
Comment 9 Pravin Satpute 2014-09-16 06:15:40 EDT
Thats great news. !! 
Shriramana Sharma appreciating your contribution to make this happen.
Comment 10 Fedora End Of Life 2015-01-09 16:59:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Pravin Satpute 2015-01-14 04:30:50 EST
Moving to next Fedora release.
Comment 12 Fedora End Of Life 2015-05-29 04:45:51 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.